# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

RegisterFile_Multi_Banked			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef RegisterFile_Monolithic
include 			$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps
endif
ifndef Select_Priority_Fixed
include 			$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps
endif

#-----[ Library ]------------------------------------------
RegisterFile_Multi_Banked_LIBRARY		= 	-lRegisterFile_Multi_Banked		\
							$(Behavioural_LIBRARY)			\
							$(RegisterFile_Monolithic_LIBRARY)	\
							$(Select_Priority_Fixed_LIBRARY)

RegisterFile_Multi_Banked_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/lib	\
							$(Behavioural_DIR_LIBRARY)		\
							$(RegisterFile_Monolithic_DIR_LIBRARY)	\
							$(Select_Priority_Fixed_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

RegisterFile_Multi_Banked_library		: 
				@\
				$(MAKE) Behavioural_library; 			\
				$(MAKE) RegisterFile_Monolithic_library; 	\
				$(MAKE) Select_Priority_Fixed_library; 		\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked --makefile=Makefile;
	
RegisterFile_Multi_Banked_library_clean	: 
				@\
				$(MAKE) Behavioural_library_clean; 		\
				$(MAKE) RegisterFile_Monolithic_library_clean; 	\
				$(MAKE) Select_Priority_Fixed_library_clean; 	\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked --makefile=Makefile clean;
